; 1.0 states

;---------------------------------------------------------------------------
; Stand to Crouch
[Statedef 10]
type    = C
physics = C
anim = 10

[State 10, 1]
type = VelMul
trigger1 = Time = 0
x = .75

[State 10, 2] ;Stop moving if low velocity
type = VelSet
trigger1 = abs(vel x) < Const(movement.crouch.friction.threshold)
x = 0

[State 10, 3]
type = ChangeState
trigger1 = AnimTime = 0
value = 11

;---------------------------------------------------------------------------
; Crouching
[Statedef 11]
type    = C
physics = C
anim = 11
sprpriority = 0

[State 11, 1] ;Change from turning animation
type = ChangeAnim
trigger1 = Anim = 6 && AnimTime = 0
value = 11

[State 11, 2] ;Stop moving if low velocity
type = VelSet
trigger1 = abs(vel x) < Const(movement.crouch.friction.threshold)
x = 0

;---------------------------------------------------------------------------
; Tripped get-hit (knocked away)
[Statedef 5071]
type    = A
movetype= H
physics = N

[State 0, VarSet]
type = VarSet
trigger1 = time = 0
sysvar(0) = 0

[State 5071, 1]
type = HitVelSet
trigger1 = Time = 0
x = 1
y = 1

[State 5071, 2] ;Acceleration
type = VelAdd
trigger1 = time>0
y = GetHitVar(yaccel)

[State 5071, 3] ;Hit ground
trigger1 = Vel Y > 0
trigger1 = Pos Y >= Const(movement.air.gethit.trip.groundlevel)
type = ChangeState
value = 5110

[Statedef 821]
type    = A
movetype= H
physics = N
velset = -6,-6

[State 0, PosAdd]
type = PosAdd
trigger1 = time = 0
x = 0-const(size.mid.pos.x)
y = 0-const(size.mid.pos.y)

[State 0, VelAdd]
type = VelAdd
trigger1 = time
y = 0.79

[State 5100, 2]
type = ChangeAnim
trigger1 = time = 0
value = 5030;ifelse(selfanimexist(5052),5052,5030)
[State 5100, 2]
type = ChangeAnim
trigger1 = anim = [5030,5039]
trigger1 = animtime = 0
value = ifelse(anim=5030&&selfanimexist(5035),5035,5050)

[State 5100, 7]
type = SelfState
trigger1 = vel y > 0
trigger1 = vel y + pos y >= Const(movement.air.gethit.groundlevel)
value = 5100 ;HIT_LIEDOWN

[Statedef 853]
type    = A
movetype= H
physics = N
velset = 6,-6.3

[State 0, VarSet]
type = VarSet
trigger1 = time = 0
sysvar(0) = 0

[State 820, 1]
type = ChangeAnim
Trigger1 = Time = 0
value = ifelse(selfanimexist(5161),5161,5160)

[State 0, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA,NA,SA,HA,NP,SP,HP,NT,ST,HT
time = 2
ignorehitpause = 1

[State 0, VelSet]
type = VelSet
trigger1 = time
x = vel x * 0.99
y = vel y + Const(movement.down.bounce.yaccel)

[State 5101, 4]
type = PosSet
trigger1 = Time = 0
y = Const(movement.down.bounce.offset.y)

[State 5101, 5]
type = PosAdd
trigger1 = Time = 0
x = Const(movement.down.bounce.offset.x)


[State 820, 2]
type = SelfState
trigger1 = vel y > 0
trigger1 = vel y + pos y >= Const(movement.down.bounce.groundlevel)
value = 5110

[Statedef 881]
type    = A
movetype= H
physics = N
velset = 9,-9
poweradd = 40

[State 0, VarSet]
type = VarSet
trigger1 = time = 0
sysvar(0) = 0
ignorehitpause = 1

[State 0, PosAdd]
type = PosAdd
trigger1 = time = 0
x = 0
y = 0-const(size.mid.pos.y)
ignorehitpause = 1

[State 0, ScreenBound]
type = ScreenBound
trigger1 = 1
value = 1
movecamera = 1,0
ignorehitpause = 1

[State 821, 1] ;Gravity
type = VelAdd
Trigger1 = time
y = .88

[State 821, 2] ; Recover near ground (use ChangeState)
type = ChangeState
triggerall = Vel Y > 0
triggerall = Pos Y >= -20
triggerall = vel y + Pos Y < 10
triggerall = alive
triggerall = CanRecover
trigger1 = Command = "recovery"
value = 5200 ;HITFALL_RECOVER

[State 821, 3] ; Recover in mid air (use SelfState)
type = SelfState
triggerall = Vel Y > 0
triggerall = alive
triggerall = CanRecover
triggerall = vel y + Pos Y < 10
trigger1 = Command = "recovery"
value = 5210 ;HITFALL_AIRRECOVER

[State 0, LifeAdd]
type = LifeAdd
triggerall = anim != 821; || (anim = 821 && animelemno(0) != 10)
trigger1 = Vel Y > 0
trigger1 = vel y + Pos Y >= 10
value = -75
kill = 1
absolute = 0
ignorehitpause = 1

[State 821, 4] ;Hit ground
type = SelfState
triggerall = anim != 821; || (anim = 821 && animelemno(0) != 10)
trigger1 = Vel Y > 0
trigger1 = vel y + Pos Y >= Const(movement.air.gethit.groundlevel)
value = 5100;822 ;Hit ground


[Statedef 1224]
type    = A
movetype= H
physics = N
velset = 0,0
sprpriority = -2

[State 0, ChangeAnim2]
type = ChangeAnim
trigger1 = time = [0,8]
value = ifelse(selfanimexist(5101),5101,5100)

[State 0, ChangeAnim2]
type = ChangeAnim
trigger1 = time = 8
value = 5160

[State 0, VelSet]
type = VelSet
trigger1 = time = 8
x = -6.6
y = -4.4

[State 0, VelSet]
type = VelSet
trigger1 = time > 8
y = vel y + 0.56


[State 0, SelfState]
type = SelfState
trigger1 = vel y > 0
trigger1 = vel y + pos y >= Const(movement.air.gethit.groundlevel)
value = 5110

;---------------------------------------------------------------------------
; Coppy Setup
[Statedef 2000]
type    = A
movetype= I
physics = N
velset = 0,0
anim = 9741
ctrl = 0

[State 0, HitOverride]
type = HitOverride
trigger1 = time = 0
attr = SCA,AA,AP,AT
slot = 0
stateno = 2050
time = -1
forceair = 0
ignorehitpause = 1

[State 0, Set Pattern]
type = VarSet
trigger1 = time = 0
var(1) = 0

[State 0, ChangeState]
type = ChangeState
trigger1 = 1
value = 2010
ctrl = 0

[State 5900, 3] ;Change palette
type = RemapPal
trigger1 = 1
source = 1,1
dest = 1,palno

;---------------------------------------------------------------------------
; Coppy Setup
[Statedef 2001]
type    = A
movetype= I
physics = N
velset = 0,0
anim = 9741
ctrl = 0

[State 0, HitOverride]
type = HitOverride
trigger1 = time = 0
attr = SCA,AA,AP,AT
slot = 0
stateno = 2050
time = -1
forceair = 0
ignorehitpause = 1

[State 0, Set Pattern]
type = VarSet
trigger1 = time = 0
var(1) = 1

[State 0, ChangeState]
type = ChangeState
trigger1 = 1
value = 2010
ctrl = 0


[State 5900, 3] ;Change palette
type = RemapPal
trigger1 = 1
source = 1,1
dest = 1,palno


;---------------------------------------------------------------------------
; Coppy Setup
[Statedef 2002]
type    = A
movetype= I
physics = N
velset = 0,0
anim = 9741
ctrl = 0

[State 0, HitOverride]
type = HitOverride
trigger1 = time = 0
attr = SCA,AA,AP,AT
slot = 0
stateno = 2050
time = -1
forceair = 0
ignorehitpause = 1

[State 0, Set Pattern]
type = VarSet
trigger1 = time = 0
var(1) = 2

[State 0, ChangeState]
type = ChangeState
trigger1 = 1
value = 2010
ctrl = 0


[State 5900, 3] ;Change palette
type = RemapPal
trigger1 = 1
source = 1,1
dest = 1,palno

;---------------------------------------------------------------------------
; SUPER BG
[Statedef 2990]
type    = A
movetype= I
physics = N
velset = 0,0
anim = 9741
ctrl = 0

[State 0, PlaySnd]
type = PlaySnd
trigger1 = time = 0
value = S0,26
abspan = 0
[State 0, AssertSpecial]
type = AssertSpecial
trigger1 = time = [0,29]
flag = nomusic
flag2 = noBG
flag3 = noBG
ignorehitpause = 1

[State 0, VarSet]
type = VarSet
trigger1 = time = 0
fvar(0) = 1
[State 0, VarSet]
type = VarSet
trigger1 = time
fvar(0) = fvar(0) * 0.6

[State 0, VarSet]
type = VarSet
trigger1 = time = 0
fvar(2) = 0.3125;0.625
[State 0, VarSet]
type = VarAdd
trigger1 = time
fvar(3) = 0.001
[State 0, VarSet]
type = VarAdd
trigger1 = time
fvar(2) = fvar(3)
[State 0, VarSet]
type = VarSet
trigger1 = time
fvar(4) = ifelse(fvar(4)+0.0333333>=1,1,fvar(4)+0.0333333)

[State 0, VarSet]
type = VarSet
trigger1 = (time%10) = 0
fvar(12) = 0.1
[State 0, VarSet]
type = VarSet
trigger1 = time
fvar(12) = fvar(12) * 0.4

[State 0, VarSet]
type = VarSet
trigger1 = 1
fvar(10) = -640+random%1280
[State 0, VarSet]
type = VarSet
trigger1 = 1
fvar(11) = -640+random%1280

[State 0, Explod]
type = Explod
trigger1 = time = 0
anim = 2990
ID = 2990
pos = 160,floor(gameheight/2)
postype = left
facing = 1
vfacing = 1
bindtime = -1
removetime = 30
pausemovetime = 65535
supermovetime = 65535
scale = fvar(2),fvar(2)
sprpriority = -64
ownpal = 1
ignorehitpause = 1
[State 0, Explod]
type = ModifyExplod
trigger1 = numexplod(2990)
ID = 2990
pos = 160,floor(gameheight/2)
postype = left
facing = 1
vfacing = 1
bindtime = -1
scale = fvar(2),fvar(2)
sprpriority = -64
ownpal = 1
ignorehitpause = 1

[State 0, Explod]
type = Explod
trigger1 = time = 0
anim = 2995
ID = 2995
pos = ceil(160+(fvar(10)*fvar(12))+(-320*fvar(0)*facing ) ),ceil(floor(gameheight/2)+(fvar(11)*fvar(12)) )
postype = left
facing = 1
vfacing = 1
bindtime = -1
removetime = 30
pausemovetime = 65535
supermovetime = 65535
scale = .5,.5
sprpriority = -60
ownpal = 1
ignorehitpause = 1
[State 0, Explod]
type = ModifyExplod
trigger1 = numexplod(2995)
ID = 2995
pos = ceil(160+(fvar(10)/10)+(-320*fvar(0) ) ),ceil(floor(gameheight/2)+(fvar(11)/10) )
postype = left
facing = 1
vfacing = 1
bindtime = -1
scale = .5,.5
sprpriority = -60
ownpal = 1
ignorehitpause = 1

[State 0, Explod]
type = Explod
trigger1 = time = 0
anim = 2996
ID = 2996
pos = 140,floor(gameheight-50)
postype = left
facing = 1
vfacing = 1
bindtime = -1
removetime = 30
pausemovetime = 65535
supermovetime = 65535
scale = .5,.5;fvar(4),1
sprpriority = 60
ontop = 1
ownpal = 1
ignorehitpause = 1
[State 0, Explod]
type = Explod
trigger1 = time = 0
anim = 2997
ID = 2997
pos = 140,floor(gameheight-50)
postype = left
facing = 1
vfacing = 1
bindtime = -1
removetime = 30
pausemovetime = 65535
supermovetime = 65535
scale = fvar(4)*.5,.5
sprpriority = 60
ontop = 1
ownpal = 1
ignorehitpause = 1
[State 0, Explod]
type = ModifyExplod
trigger1 = numexplod(2997)
ID = 2997
pos = 140,floor(gameheight-50)
postype = left
facing = 1
vfacing = 1
bindtime = -1
scale = fvar(4)*.5,.5
sprpriority = 60
ontop = 1
ownpal = 1
ignorehitpause = 1

[State 0, DestroySelf]
type = DestroySelf
trigger1 = !numexplod(2990)

;---------------------------------------------------------------------------
; States that are always executed (use statedef -2)
;---------------------------------------------------------------------------

[Statedef -2]

[State 0, PlaySnd]
type = PlaySnd
trigger1 = anim = 5950 || anim = 5955
trigger1 = animelemtime(3) = 0
trigger2 = anim = 5131
trigger2 = animelemtime(1) = 1
value = F7,0
[State 0, Explod]
type = Explod
trigger1 = anim = 5950 || anim = 5955
trigger1 = animelemtime(11) = 0
trigger2 = anim = 5131
trigger2 = animelemtime(9) = 0
anim = F61
pos = 0,0
postype = p1
facing = 1
vfacing = 1
bindtime = 1
removetime = -2
;pausemovetime = 65535
scale = 1,1
sprpriority = 7
ownpal = 1
[State 0, PlaySnd]
type = PlaySnd
trigger1 = anim = 5950 || anim = 5955
trigger1 = animelemtime(11) = 0
trigger2 = anim = 5131
trigger2 = animelemtime(9) = 0
value = F7,1

; if you're making a 10ov.st and copied the statedef -2 in it's entirety, uncomment this strcl so e.g. the hitpauses in both mugen versions would be the same
[State ME AM USING 1.0]
type = VarSet
trigger1 = var(49) != 1
var(49) = 1
ignorehitpause = 1


[State 0, VarSet]
type = VarSet
triggerall = var(30) = 0
triggerall = numenemy
trigger1 = (enemy,movecontact >= 1 || enemy,projcontact >= 1) && (!enemy,moveguarded)
var(30) = -1
ignorehitpause = 1
[State 0, PowerAdd]
type = PowerAdd
triggerall = var(30) = 0
triggerall = stateno != [3000,3999]
trigger1 = (movecontact >= 1 || projcontact >= 1) && (!moveguarded)
;trigger2 = projhittime = 0
;trigger2 = p2movetype = H
;trigger2 = movetype = A
;trigger2 = p2stateno != [120,169]
;trigger2 = projhittime = 1
value = 150
ignorehitpause = 1
[State -2 Send the message]
type = Varset
triggerall = var(30) = 0
trigger1 = (movecontact >= 1 || projcontact >= 1) && (!moveguarded)
;trigger2 = p2movetype = H
;trigger2 = movetype = A
;trigger2 = p2stateno != [120,169]
;trigger2 = projhittime = 1
var(37) = var(37) | floor(exp(2*ln(2)) + 0.5)
ignorehitpause = 1
[State 0, VarSet]
type = VarSet
triggerall = var(30) = 0
trigger1 = (movecontact >= 1 || projcontact >= 1) && (!moveguarded)
;trigger2 = p2movetype = H
;trigger2 = movetype = A
;trigger2 = p2stateno != [120,169]
;trigger2 = projhittime = 1
var(30) = 1
ignorehitpause = 1

[State -2, Movehitoner]
type = VarSet
trigger1 = numenemy
var(21) = ifelse(movehit=1&&(enemynear,movereversed!=[1,2]),var(21)+1,0)
ignorehitpause = 1
[State -2, Movehitoner]
type = VarSet
trigger1 = !numenemy
var(21) = ifelse(movehit=1,var(21)+1,0)
ignorehitpause = 1
[State -2, Moveguardoner]
type = VarSet
trigger1 = 1
var(22) = ifelse(moveguarded=1,var(22)+1,0)
ignorehitpause = 1
[State -2, FirstHit]
type = VarSet
trigger1 = 1
var(29) = 0
ignorehitpause = 1
[State -2, FirstHit]
type = VarSet
trigger1 = var(21)=1
trigger1 = numtarget
trigger1 = p2stateno != [120,169]
var(29) = (target,gethitvar(hitcount) <= 1)
ignorehitpause = 1

[State -2, Counter?]
type = VarSet
trigger1 = var(21) != 1
var(31) = (p2movetype=A)
ignorehitpause = 1
[State -2 Send the message]
type = Varset
trigger1 = !enemynear,movereversed
trigger1 = var(31) = 1
trigger1 = var(21) = 1
var(37) = var(37) | floor(exp(0*ln(2)) + 0.5)
ignorehitpause = 1
;[State 0, PlaySnd]
;type = PlaySnd
;trigger1 = !enemynear,movereversed
;trigger1 = var(31) = 1
;trigger1 = var(21) = 1
;value = S209,random%10
;channel = 0
;lowpriority = 1
;ignorehitpause = 1

[State P2Soundcode nope]
type = VarSet
trigger1 = 1
var(33) = 0
ignorehitpause = 1
[State P2Soundcode WHAM]
type = VarSet
trigger1 = (numtarget)
trigger1 = (target,stateno = 1307)
trigger1 = (target,time = 1)
trigger1 = (target,movetype = H)
var(33) = 1
ignorehitpause = 1


[State Throw Limiter]
type = VarSet
trigger1 = stateno = 40
trigger2 = statetype = A
trigger2 = movecontact
trigger3 = p2stateno = [120,169]
var(8) = 12
[State Throw Limiter count]
type = VarAdd
trigger1 = var(8) > 0
var(8) = -1
[State 0, Helper]
type = Helper
trigger1 = roundstate < 2
trigger1 = !numhelper(444)
helpertype = normal
name = "CONFIG"
ID = 444
stateno = 444
pos = 444,444
postype = p1
facing = 1
ownpal = 1
supermovetime = 65535
pausemovetime = 65535
ignorehitpause = 1

[State 0, ]
type = PlaySnd
triggerall = alive
;triggerall = random < 500
triggerall = anim != 70851
trigger1 = (stateno = 5000) || (stateno = 5010) || (stateno = 5020) || (stateno = 5070)
trigger1 = time = 0
trigger2 = (stateno != 5000) && (stateno != 5010) && (stateno != 5020) && (stateno != 5070)
trigger2 = stateno != [120,160]
trigger2 = gethitvar(damage)
value = 5000,random%17
;volume = 255
channel = 0
ignorehitpause = 1


[State 0, ]
type = PlaySnd
trigger1 = stateno = 5120
trigger1 = time = 1
;trigger1 = random < 500
trigger1 = roundstate < 3
value = 0,46
channel = 0
;volume = 255

[State 0, Helper]
type = Helper
triggerall = !ishelper
trigger1 = !numhelper(179)
helpertype = normal
name = "Misc Stuff"
ID = 179
stateno = 179
pos = 0,0
postype = p1
ownpal = 1
supermovetime = 65535
pausemovetime = 65535
ignorehitpause = 1

[State -2, Neo-Juggle-System-Reset]
type = VarSet
triggerall = var(40)
trigger1 = !numtarget
;trigger2 = numtarget
;trigger2 = (target,statetype != A) && (target,statetype != L)
var(40) = 0
ignorehitpause = 1
[State -2, Neo-Juggle-System-Reset]
type = VarSet
triggerall = var(41)
trigger1 = !numtarget
trigger2 = numtarget
trigger2 = (target,statetype != A) && (target,statetype != L)
var(41) = 0
ignorehitpause = 1
[State -2, Neo-Juggle-System-Reset]
type = VarSet
triggerall = var(42)
trigger1 = !numtarget
trigger2 = numtarget
trigger2 = (target,statetype != A) && (target,statetype != L)
var(42) = 0
ignorehitpause = 1
[State Prevent the prorator from going too low. You can change the minimal proration rate if you want, just make sure the value in the trigger and actual varset match]
type = VarSet
trigger1 = fvar(13) < 0.15
fvar(13) = 0.15
ignorehitpause = 1
[State Prorator Reset]
type = VarSet
trigger1 = !numenemy
trigger2 = p2movetype != H || (!enemynear,gethitvar(hitcount))
trigger2 = !movehit || movereversed
trigger3 = p2stateno = 5120
fvar(13) = 1 + ifelse(numhelper(3050),0.25,0)
ignorehitpause = 1
[State 0, AttackMulSet]
type = AttackMulSet
trigger1 = 1
time = 2
;value = ifelse(p2movetype!=H,ifelse(var(20)=1,1.25,1),1 - ifelse(fvar(15)>.75,.75,fvar(15)))
;value = ( ifelse((stateno=[3000,3900]), 0.25+(fvar(13)*0.75) ,fvar(13))  ) * ifelse((p2statetype=A&&p2movetype!=H)||var(31),1.25,1)
value = ( ifelse((stateno=[3000,3900]), 0.25+(fvar(13)*0.75) ,fvar(13))  ) * ifelse(var(31),1.25,1)
ignorehitpause = 1



;
; Within StateDef -2, none of your own AI-related code should be placed
; above these next two controllers.

[State -2, StopAI]
type = VarSet
triggerall = var(58) > 0 && !IsHelper
trigger1 = RoundState != 2
trigger2 = !Alive
var(58) = -2
IgnoreHitPause = 1

; This controller is optional.  It allows you treat the AI flag as a boolean
; value rather than an integer value, letting you trigger your AI directives
; with "var(0)" instead of "var(58)>0", and letting you make moves usable only
; by humans by using "!var(0)" instead of "var(58)<1", thus slightly improving
; the size and efficiency of your code.
; Another benefit is that it makes it much easier for users to disable your AI,
; if they so choose.
[State -2, Scaler]
type = VarSet
trigger1 = time = 0
fvar(36) = roundno + matchno*3
IgnoreHitPause = 1
[State -2, TOO MUCH]
type = VarSet
trigger1 = fvar(36) >= 80
fvar(36) = 80
IgnoreHitPause = 1
[State -2, Simplifier]
type = VarSet
;triggerall = !IsHelper
;trigger1 = var(58) = 1
;trigger2 = fvar(35):=0
trigger1 = !ishelper
fvar(35) = ifelse((roundstate=2&&ailevel>=1),ailevel+fvar(36),0)
IgnoreHitPause = 1

[State ANTI-MINDGAME-GUARD]
type = VarAdd
triggerall = var(50) < 120
trigger1 = p2movetype = A
trigger1 = stateno = [120,169]
var(50) = 1
ignorehitpause = 1
[State ANTI-MINDGAME-GUARD]
type = VarSet
triggerall = var(50) > 0
trigger1 = stateno = [150,155]
trigger1 = time = 1
var(50) = ceil(var(50)*0.8)
ignorehitpause = 1
[State ANTI-MINDGAME-GUARD]
type = VarAdd
triggerall = var(50) > 0
triggerall = (gametime%3)=0
trigger1 = p2movetype != A
trigger2 = stateno != [120,169]
var(50) = -1
ignorehitpause = 1
[State ANTI-MINDGAME-TH]
type = VarSet
trigger1 = numenemy
trigger1 = fvar(35)
var(51) = (enemynear,HitDefAttr = SCA,AT) || (var(50) > 20) || ((abs(enemynear,animtime) <= enemynear,moveguarded )) || (numhelper(3050))
ignorehitpause = 1


;================================================================================
; ------- KOF Cornerpush System by Vans --------
;===============================================================================
[State -2, Superpause Check]
type = VarAdd
trigger1 = Var(6)
var(6) = -1

[State -2, Reset Time counter]
type = VarSet
trigger1 = movecontact = 1
var(12) = 0

[State -2, Accel]
type = VarSet
triggerall = roundstate = 2
triggerall = Var(6) <= 0
triggerall = numtarget >= 1
trigger1 = target, hitshakeover
fvar(6) = (target, gethitvar(xvel)*exp((-0.1886)*((var(12)))))
[State -2, Push]
type = PosAdd
triggerall = roundstate = 2
triggerall = !var(6)
triggerall = numtarget >= 1
triggerall = (target, BackEdgeBodyDist <= 0) || (target, FrontEdgeBodyDist <= 0)
triggerall = ProjContact = 0, < 50
triggerall = stateno != [800,899]
triggerall = stateno != [10800,10899]
triggerall = stateno != 2400
triggerall = enemynear,statetype != A
triggerall = enemynear,statetype != L
trigger1 = Statetype != A
x = ifelse(facing = -1,fvar(6),-fvar(6))

[State -2, Increase]
type = VarSet
triggerall = Var(6) <= 0
triggerall = var(12)
trigger1 = numtarget >= 1
trigger1 = target, hitshakeover
var(12) = var(12)+1

[State -2, Time counter]
type = VarSet
trigger1 = !var(12)
trigger1 = fvar(6)
var(12) = 1

[State -2, Freeze Pos During Superpause]
type = PosFreeze
trigger1 = Var(6)
value = 1

[State -2, Drop]
type = VarSet
triggerall = fvar(6)
trigger1 = !numtarget
trigger2 = projcontact = 1
trigger3 = movecontact = 1
fvar(6) = 0
ignorehitpause = 1

[State -2, Drop]
type = VarSet
triggerall = fvar(8)
trigger1 = !numtarget
trigger2 = projcontact = 1
trigger3 = numtarget >= 1 && target, gethitvar(xvel) = 0
var(17) = 0
